<?php


namespace App\Twig;


use App\Service\KeyLighterVersioner;
use Kadet\Highlighter\KeyLighter;
use Tightenco\Collect\Support\Collection;

class KeyLighterTwigAccess
{
    private $keylighter;
    private $versioner;

    public function __construct(KeyLighter $keylighter, KeyLighterVersioner $versioner)
    {
        $this->keylighter = $keylighter;
        $this->versioner  = $versioner;
    }

    public function getLanguages()
    {
        $languages = require $this->versioner->getCurrentDir().'/Config/metadata.php';
        $languages = collect($languages);

        $languages = $languages->reduce(function (Collection $collection, $language) {
            return $collection->merge(array_fill_keys($language['name'], [
                'class'      => $language[0],
                'standalone' => $language['standalone'],
                'embeddable' => $language['injectable']
            ]));
        }, collect());

        return $languages;
    }
}
